Package wx :: Class PyPrintPreview

[frames | no frames]

## Type PyPrintPreview

    object --+
             |
        Object --+
                 |
      PrintPreview --+
                     |
                    PyPrintPreview

Proxy of C++ PyPrintPreview class

Method Summary
PyPrintPreview | ``__init__`(self, printout, printoutForPrinting, data)` __init__(self, Printout printout, Printout printoutForPrinting, PrintData data) -> PyPrintPreview
| ``base_DetermineScaling`(*args, **kwargs)` Please use PyPrintPreview.DetermineScaling instead.
| ``base_DrawBlankPage`(*args, **kwargs)` Please use PyPrintPreview.DrawBlankPage instead.
| ``base_PaintPage`(*args, **kwargs)` Please use PyPrintPreview.PaintPage instead.
| ``base_Print`(*args, **kwargs)` Please use PyPrintPreview.Print instead.
| ``base_RenderPage`(*args, **kwargs)` Please use PyPrintPreview.RenderPage instead.
| ``base_SetCurrentPage`(*args, **kwargs)` Please use PyPrintPreview.SetCurrentPage instead.
| ``base_SetZoom`(*args, **kwargs)` Please use PyPrintPreview.SetZoom instead.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, printout, printoutForPrinting, data=None)
(Constructor)

__init__(self, Printout printout, Printout printoutForPrinting, PrintData data) -> PyPrintPreview

  Parameters:
    `printout`
    (type=Printout)

    `printoutForPrinting`
    (type=Printout)

    `data`
    (type=PrintDialogData)

  Returns:
    PyPrintPreview
  Overrides:
    `wx.PrintPreview.__init__`

### base_DetermineScaling(*args, **kwargs)

Please use PyPrintPreview.DetermineScaling instead.

### base_DrawBlankPage(*args, **kwargs)

Please use PyPrintPreview.DrawBlankPage instead.

### base_PaintPage(*args, **kwargs)

Please use PyPrintPreview.PaintPage instead.

### base_Print(*args, **kwargs)

Please use PyPrintPreview.Print instead.

### base_RenderPage(*args, **kwargs)

Please use PyPrintPreview.RenderPage instead.

### base_SetCurrentPage(*args, **kwargs)

Please use PyPrintPreview.SetCurrentPage instead.

### base_SetZoom(*args, **kwargs)

Please use PyPrintPreview.SetZoom instead.

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:15 2007 | http://epydoc.sf.net